
package de.ivu.elect.presentation.wahlrechtspruefung.action;

import javax.inject.Inject;

import de.ivu.elect.business.wahlrechtspruefung.boundary.WahlrechtspruefungChangeEvent;
import de.ivu.elect.business.wahlrechtspruefung.entity.Wahlrechtspruefung;
import de.ivu.elect.presentation.menu.AbstractActionEntry;

public abstract class AbstractWahlrechtspruefungAction extends AbstractActionEntry<Wahlrechtspruefung> {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlrechtspruefungChangeEvent wahlrechtspruefungChangeEvent;

  public AbstractWahlrechtspruefungAction() {
    super();
  }

  @Override
  protected boolean isFireChangeEvent() {
    return true;
  }

  @Override
  protected void fireChangeEvent() {
    wahlrechtspruefungChangeEvent.sendChangeEvent();
  }
}
